<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('pricelist_files', function (Blueprint $table) {
            $table->unsignedBigInteger('supplier_id')->nullable()->after('filename');
            $table->unsignedBigInteger('price_list_id')->nullable()->after('supplier_id');

            $table->foreign('supplier_id')->references('id')->on('suppliers')->onDelete('set null');
            $table->foreign('price_list_id')->references('id')->on('price_lists')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('pricelist_files', function (Blueprint $table) {
            $table->dropForeign(['supplier_id']);
            $table->dropForeign(['price_list_id']);
            $table->dropColumn(['supplier_id', 'price_list_id']);
        });
    }
};
